Bug 116994 - doesn't read /etc/security/console.perms or 'user' option in fstab
Summary: doesn't read /etc/security/console.perms or 'user' option in fstab
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: devlabel   
(Show other bugs)
Version: 1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-02-27 06:06 UTC by Tammy Fox
Modified: 2014-03-17 02:42 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-21 23:19:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tammy Fox 2004-02-27 06:06:53 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114 Epiphany/1.0.4

Description of problem:
After symlinking /dev/flash to /dev/sda1, I have the following in
/etc/fstab to mount a USB CompactFlash reader:

/dev/flash      /mnt/flash       auto    defaults,owner,user      0 0

I also modified /etc/security/console.perms:

- <flash>=/mnt/flash*
+ <flash>=/mnt/flash* /dev/flash*

- <console>  0600 <flash>      0600 root
+ <console>  0600 <flash>      0600 root.disk

the first person who logs into the console ownership of the device and
thus I can mount it with read/write priviledges as the first user
logged in.

However, if I configure devlabel to auto mount the card when the USB
reader is inserted with the card, it will automount it, but with owner
root.root. This means that I can read from it but not write to it
despite the fact that either having the 'user' option in fstab or
changing consoles.perms as stated above makes me own the device if I
mount the device manually without devlabel.

Version-Release number of selected component (if applicable):
devlabel-0.41.01-1.1

How reproducible:
Always

Steps to Reproduce:
1. Add an entry to /etc/fstab for a USB CompactFlash reader as stated
above or add entry to console.perms as stated above
2. Configure devlabel to automount device with command devlabel add -d
/dev/sda1 -s /dev/flash --automount
3. Notice it auto mounts device but with ownership root.root instead
of tfox.tfox

Actual Results:  Mounts with owner root.root

Expected Results:  Should auto mount with tfox.tfox (or first user who
logs in)

Additional info:

Comment 1 Gary Lerhaupt 2004-03-04 19:46:06 UTC
You are correct, devlabel currently does not do anything but mount as 
root.  For it to honor the "user" option in fstab, what do you 
suggest?  How do you know which user that is and then also which 
options should be passed to its invocation of mount so that it does 
what you want to do. 

Let me know and I'll consider adding this.

Comment 2 Bill Nottingham 2005-01-21 23:19:06 UTC
At this point FC1 has reached its end of life, and it is unlikely that these
issues will be looked at for FC2's devlabel.


Note You need to log in before you can comment on or make changes to this bug.